Update group per-user budget
curl --request PATCH \
--url https://api-v2.requesty.ai/v1/manage/group/{id}/budget-per-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monthly_budget_per_user": 100
}
'import requests
url = "https://api-v2.requesty.ai/v1/manage/group/{id}/budget-per-user"
payload = { "monthly_budget_per_user": 100 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({monthly_budget_per_user: 100})
};
fetch('https://api-v2.requesty.ai/v1/manage/group/{id}/budget-per-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Update Group Per-User Budget
Set the monthly budget applied to each user in the group. Set monthly_budget_per_user to 0 for unlimited spending per user. Only available when the organization uses group budgets (group budget mode); otherwise the endpoint returns 409. Requires an API key with manage permissions.
PATCH
/
v1
/
manage
/
group
/
{id}
/
budget-per-user
Update group per-user budget
Set the monthly budget applied to each user in the group. Set
monthly_budget_per_user to 0 for unlimited spending per user. Returns an empty response on success.
This is applicable only in Group Budget mode. In Global mode the endpoint returns
409 Conflict.Authorizations
API key for authentication
Path Parameters
The group ID
Body
application/json
Monthly budget applied to each user in the group in USD. Set to 0 for unlimited spending per user.
Example:
100
Response
Group per-user budget updated successfully
Last modified on August 12, 2026
Was this page helpful?
⌘I